Manage dataset files

Use the REST API to manage dataset files.

Upload dataset files

post

Upload a file to a dataset for processing.

Path parameters
datasetIdstringRequired

The unique identifier of the dataset

Body
filestring · binaryOptional

File to upload

Responses
chevron-right
200

OK

application/json

Response model returned after uploading a file to a dataset.

uploadedFileIdstringOptional

The identifier of the newly uploaded file.

post
/api/Dataset/{datasetId}/files/upload

Download a dataset file

get

Downloads the specified file from the dataset. The downloaded file is redacted based on the dataset configuration.

Path parameters
datasetIdstringRequired

The unique identifier of the dataset

fileIdstringRequired

The unique identifier of the file

Query parameters
jsonDownloadAsstringOptional

Format for JSON file downloads

Responses
chevron-right
200

OK

application/octet-stream
string · binaryOptional
get
/api/Dataset/{datasetId}/files/{fileId}/download

Download all dataset files

get

Downloads all files from the specified dataset. The downloaded files are redacted based on the dataset configuration.

Path parameters
datasetIdstringRequired

The unique identifier of the dataset

Query parameters
jsonDownloadAsstringOptional

Format for JSON file downloads

Responses
chevron-right
200

OK

application/octet-stream
string · binaryOptional
get
/api/Dataset/{datasetId}/files/download_all

Last updated

Was this helpful?